#!/usr/bin/env python3

import pyqrcode
import os

url = input("Complétez l'URL : https://")
qr_png = os.getcwd() + "/" + url + ".png"
try:
   taille = int(input("Taille (1-100 par defaut=5) : ").strip() or "5")
   if taille < 1 or taille > 100:
      print("Valeur incorrecte !")
   else:
      qr = pyqrcode.create("https://" + url)
      qr.png(qr_png, scale=taille)
      print("Sauvegardé dans " + qr_png)
   
except ValueError:
   print("Valeur numérique uniquement !")
